### Method

# Gtk IconViewset_tooltip_cell

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_tooltip_cell (
      GtkIconView* icon_view,
      GtkTooltip* tooltip,
      GtkTreePath* path,
      GtkCellRenderer* cell
    )

#### Description [src]

Sets the tip area of `tooltip` to the area which `cell` occupies in the item pointed to by `path`. See also gtk_tooltip_set_tip_area().

See also `gtk_icon_view_set_tooltip_column()` for a simpler alternative.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`tooltip`

  Type: `GtkTooltip`

  A `GtkTooltip`

  The data is owned by the caller of the method.

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`

  The data is owned by the caller of the method.

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The argument can be `NULL`.
  The data is owned by the caller of the method.